#include <iostream>
#include <cmath>

using namespace std;

int main() 
{ 
	int t,n,m,k;
	cin>>t;
	int a[t];
	for(int i=0;i<t;i++){
		cin>>n>>m>>k;
		if((n*n)<=(k*(2*m-n))) a[i]=1;
		else a[i]=0;
	}
	
	for(int i=0;i<t;i++){
		if(a[i]==1)cout<<"Tak"<<endl;
		else cout<<"Nie"<<endl;
	}

    return 0; 
}